| The Gaudi Framework v28r2-patches (bc4ad17a)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GaudiAlg::Print1DProf Class Reference

collection of useful utilities to print IProfile1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool) More...

`#include <GaudiAlg/Print.h>`

## Static Public Member Functions
static void | print (MsgStream &stream, const AIDA::IProfile1D *aida, const GaudiAlg::HistoID &ID)
static std::string | toString (const AIDA::IProfile1D *aida, const GaudiAlg::HistoID &ID)

## Detailed Description

collection of useful utilities to print IProfile1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool)

See also
  AIDA::IProfile1D

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@l.nosp@m.app..nosp@m.in2p3.nosp@m..fr

Date
  2005-08-04

Definition at line 128 of file Print.h.

## Member Function Documentation

void GaudiAlg::Print1DProf::print | ( | MsgStream & | stream,
|  | const AIDA::IProfile1D * | aida,
|  | const GaudiAlg::HistoID & | ID
| ) |  |
| static

Definition at line 122 of file Print.cpp.

125 { stream << toString ( aida , ID ) << endmsg ; }
GaudiAlg::Print1DProf::toString
static std::string toString(const AIDA::IProfile1D *aida, const GaudiAlg::HistoID &ID)
Definition: Print.cpp:128
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

std::string GaudiAlg::Print1DProf::toString | ( | const AIDA::IProfile1D * | aida,
|  | const GaudiAlg::HistoID & | ID
| ) |  |
| static

Definition at line 128 of file Print.cpp.

130 {
131 boost::format fmt
132 ( " ID=%|-25|%|30t| \"%|.55s|\" %|79t| Ents/All=%|5|/%|-5|<X>/sX=%|.5|/%|-.5|" ) ;
133 fmt % ID.idAsString() % aida->title();
134 fmt % (aida->allEntries()-aida->extraEntries()) % aida->allEntries() ;
135 fmt % aida->mean() % aida->rms() ;
136 //
137 return fmt.str() ;
138 }
format
GAUDI_API std::string format(const char *,...)
MsgStream format utility "a la sprintf(...)".
Definition: MsgStream.cpp:119
GaudiAlg::ID::idAsString
GAUDI_API LiteralID idAsString() const
Return ID as string, for both numeric and literal IDs.
Definition: GaudiHistoID.cpp:20

The documentation for this class was generated from the following files:

- GaudiAlg/GaudiAlg/Print.h
- GaudiAlg/src/lib/Print.cpp